# Code of Conduct

## CSE2000 Software Project Group 17B
### Delft, 2023

---

## General

1. Every member should check Mattermost and Microsoft Teams at least once every 24 hours.
2. If you are late to a meeting more than 5 minutes, you have to bring coffee for all team members.
3. We will have daily standup meetings during the coding weeks of the project. These meetings have a hard cap of 15 minutes. If you need to discuss something further, organize a seperate meeting.
4. When we have to make a major decision, we will vote on it (if needed).
5. For any major decision, at least 80% of the team should be present.
6. Keep meetings short, concise and to the point. Most problems can be resolved through chat.
7. Walk out of a meeting or drop off a call as soon as it is obvious you aren't adding value. It is not rude to leave, it is rude to make someone stay and waste their time.
8. In general, always pick common sense as your guide. If following the code of conduct is obviously ridiculous in a particular situation, then the rule can be avoided.
9. Before asking somebody for help, first try to solve it on your own for about 20 minutes.
10. In case of a severe disagreement, ask the client/TA for their opinion.
11. Always be respectful and considerate in your interactions with other team members.
12. Be open to constructive criticism and feedback from other team members, and avoid taking it personally.
13. If you have a concern or issue with a team member, approach them directly and in a respectful manner to discuss it.
14. Dress appropriately for meetings and other professional events. A plum purple suit with a forest-green straight point collar shirt and a matching eggplant purple tie (preferrably with a subtle pattern) is strongly encouraged.
15. If you are unable to attend a standup meeting, write your activities for the day on Discord instead in the #daily channel.
16. If you are unable to do _something_, let others know as soon as possible. It is still your responsibility to make sure that whatever you were supposed to do gets done.
17. At the end of each daily standup, there is an optional tips and tops round, where we can give feedback to each other.

---

## Coding

1. Always make sure to push only relevant changes.
2. GitKraken or any other Git GUI applications are not allowed in our team with the exception of IDE git interfaces.
3. Every merge request (MR) should be approved by 2 people chosen appropriately.
4. If a MR is trivial (e.g. 1 line changed or version updates) no approvals are needed.
5. Your code should pass all relevant style checks.
6. Every member should have watched [these videos](https://www.youtube.com/@CodeAesthetic/videos) about code style and follow the principles outlined there.
7. Every MR should only be in the scope of the problem that it is supposed to solve. Use separate MR's for separate problems.
8. Commits should be squashed when merging.
9. Since we are using a mirrored repository from GitHub to GitLab, we will not worry about working on GitLab throughout the project. However, to ensure the mirrored repository works as desired, we will manually force an update at the end of the project.
10. Follow the guidelines outlined in the article [How to Write Better Git Commit Messages](https://www.freecodecamp.org/news/how-to-write-better-git-commit-messages/) for writing commit messages.

---

The Code of Conduct is subject to changes if the team feels the need to do so. <br />
The file that is on the main branch of the GitHub is the one we are following.